<?php

/*  message_template.php: template for the message page
*
* $Id: message_template.php,v 1.15 2006/01/24 20:41:44 sailfrog Exp $
*/

require_once('toolbar_template.php');

if ($notices) {
    foreach ($notices as $n): echo '<center><font class="font2">',$n,'</font></center>'; endforeach;
}
else {
    echo '<br>';
}
echo '
<input type="hidden" name="mailbox" value="',$input_mailbox,'" />
<input type="hidden" name="part" value="',$input_part,'" />
<input type="hidden" name="uid" value="',$input_uid,'" />
<input type="hidden" name="page_num" value="',$input_page_num,'" />
<input type="hidden" name="parts" value="',$input_part_value,'" />
<table width="95%" align="center" cellpadding="4" cellspacing="4" class="tables5">
    <tr>
        <td class="tables2" align="center" width="10%" nowrap>
        &nbsp;',$msg_header,'&nbsp;
            <input type="checkbox" value="1" name="keep_as_new" />
            <small>',$lbl_keep_new,'</small>&nbsp;';
        if ($prev_next_thread) { echo '
        </td>
        <td class="tables2" align="center" nowrap>
            &nbsp;',$prev_next_thread,'&nbsp;';
        }
        if ($prev_next_search) { echo '
        </td>
        <input type="hidden" name="search_on" value="1" />
        <td class="tables2" align="center" nowrap>
            &nbsp;',$prev_next_search,'&nbsp;';
        } echo '
        </td>
        <td class="tables2" align="right">
            ',$mailbox_title;
            if ($filter) { echo '
            <b><small>(',$filter_name,')</small></b>&nbsp;&nbsp;';
            } echo '
        </td>
    </tr>
</table>
<table width="95%" align="center" cellpadding="4" cellspacing="4" class="tables5">';
if ($folder_preview) { echo '
    <tr>
        <td colspan="3">';
        require_once('folder_preview_template.php'); echo '
        </td>
    </tr>'; } echo '
    <tr>
        <td class="tables2" nowrap colspan="2">
            &nbsp;';
            if ($full) { echo '
            <input type="submit" value="',$lbl_small_headers,'" name="small_headers" class="button3" />
            <input type="hidden" name="full" value="yes" />';
            } else { echo '
            <input type="submit" value="',$lbl_full_headers,'" name="full_headers" class="button3" />';
            } echo '&nbsp;&nbsp;';
            if ($raw) { echo '
            <input type="submit" value="',$lbl_normal_view,'" name="normal_view" class="button3" />
            <input type="hidden" name="raw" value="1" />';
            } else { echo '
            <input type="submit" value="',$lbl_raw_view,'" name="raw_view" class="button3" />';
            }
            if ($thread) { echo '
            &nbsp;&nbsp;<input type="submit" name="thread_view" value="',$lbl_thread_view,'" class="button3" />';
            } echo '
            &nbsp;&nbsp;<input type="submit" value="',$lbl_print_view,'" name="print_view" class="button3" />';
            if ($folder_view) { echo '
            &nbsp;&nbsp;<input type="submit" value="Folder view" name="folder_view" class="button3" />';
            } echo '
        </td>
        <td align="center" class="tables2" nowrap width="10%">';
            if ($raw) { echo '
            ',$next_prev_del_links,'&nbsp;'; 
            if ($trash) { echo '
            &nbsp;<small>',$lbl_skip_trash,'</small> <input type="checkbox" value="1" name="skip_trash" />&nbsp;&nbsp;&nbsp;&nbsp;';
            } } echo '
            ',$next_previous_links,'
            &nbsp;<input type="hidden" name="uid_move" value="{$input_uid}" />
            &nbsp;<select class="select3" name="destination">
            ',$folder_options,'
            </select>&nbsp;
        </td>
    </tr>';
if ($raw) { echo '
</table>
<table width="95%" align="center">';
} echo '
    <tr>
        <td class="tables4" colspan="3">
            <table width="100%" cellpadding="1" cellspacing="1">
                <tr>';
                if ($full && !$raw) { echo '
                    <td width="100%">
                        <table cellpadding="1" cellspacing="0">';
                            foreach ($message_headers as $name => $val) { echo '
                            <tr>
                                <td align="right">
                                    <b>',preg_replace("/_\d*$/", '', $name),':</b>
                                </td> 
                                <td valign="top">
                                    &nbsp;',$val,'
                                </td> 
                            </tr>';
                            } echo '
                        </table>
                    </td>
                </tr>';
                } elseif (!$raw) { echo '
                    <td>
                        <table cellpadding="0" cellspacing="0">
                            <tr class="tables4">
                                <td valign="top"><b>',$lbl_subject,':</b>&nbsp;&nbsp;</td>
                                <td valign="top">',$subject,'</td>
                            </tr>
                            <tr class="tables4">
                                <td valign="top"><b>',$lbl_from,':</b></td>
                                <td valign="top">',$from,'</td>
                            </tr>
                            <tr class="tables4">
                                <td valign="top"><b>',$lbl_date,':</b></td>
                                <td valign="top">',$date,'</td>
                            </tr>
                            <tr class="tables4">
                                <td valign="top"><b>',$lbl_to,':</b></td>
                                <td valign="top">',$to,'</td>
                            </tr>';
                            if ($cc) { echo '
                            <tr class="tables4">
                                <td valign="top"><b>',$lbl_cc,':</b></td>
                                <td valign="top">',$cc,'</td>
                            </tr>';
                            }
                            if ($xmailer) { echo '
                            <tr class="tables4">
                                <td valign="top"><b>Client:</b></td>
                                <td valign="top">',$xmailer,'</td>
                            </tr>';
                            } echo '
                        </table>
                    </td>
                </tr>';
                }
                if (!$raw) { echo '
            </table>
        </td>
    </tr>
    <tr>
        <td class="tables2" nowrap colspan="2">
            &nbsp;
            <input type="submit" name="reply" value="',$lbl_reply,'" class="button3" />
            &nbsp;&nbsp;<input type="submit" name="reply_all" value="',$lbl_reply_all,'" class="button3" />';
            if ($message_list_reply) { echo '
            &nbsp;<input type="hidden" value="',$message_list_reply_to,'" name="list_reply_to" />
            <input type="submit" name="list_reply" value="',$lbl_list_reply,'" class="button3" />';
            } echo '
            &nbsp;&nbsp;<input type="submit" value="',$lbl_forward,'" name="forward" class="button3" />';
            if ($cfg_enable_bounce) { echo '
            &nbsp;&nbsp;<input type="submit" name="bounce" value="',$lbl_bounce,'" class="button3" />';
            } if ($draft) { echo '
            &nbsp;&nbsp;<input type="submit" name="resume_draft" value="',$lbl_resume_draft,'" class="button3" />';
            } else { echo '
            &nbsp;&nbsp;<input type="submit" value="',$lbl_edit_as_new,'" class="button3" name="edit_as_new" />';
            } if ($message_id) { echo '
            <input type="hidden" name="message_id" value="',$message_id,'" />
            &nbsp;&nbsp;<input type="submit" name="find_response" value="',$lbl_find_response,'" class="button3" />';
            } echo '
        </td>
        <td class="tables2" nowrap>
            ',$next_prev_del_links,'&nbsp;';
            if ($trash) { echo '
            &nbsp;&nbsp;&nbsp;<small>',$lbl_skip_trash,'</small> <input type="checkbox" value="1" name="skip_trash" />';
            } echo '
        </td>
    </tr>
</table>
<table width="95%" align="center">
    <tr>
        <td class="tables4" colspan="3">';
                }
                if ($raw) { echo '
                    <td>
                        <table width="97%" align="center">
                            <tr>
                                <td>
                                    <pre>',$html_text_part,'</pre>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
<table width="95%" align="center" cellpadding="4" cellspacing="4">';
                } else {
                    foreach ($part_array as $key => $array) {
                        echo '
        </td>
    </tr>
    <tr>';
                        if (isset($array['rfc_check'])) { echo '
        <td colspan="3">';
                            if (count($array['part_headers']) > 0) { echo '
        <br>
        </td>
    </tr>
    <tr>
        <td class="tables4" colspan="3">
            <table cellpadding="1" cellspacing="1">';
                                if ($full) {
                                    foreach ($array['part_headers'] as $key => $value) { echo '
                <tr>
                    <td width="1%" align="right">
                        &nbsp;<b>',$key,':</b></td><td>&nbsp;&nbsp;',$value,'<br>
                    </td>
                </tr>';
                                    }
                                } else { echo '
                <tr>
                    <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;',$lbl_subject,':&nbsp;&nbsp;</td>
                    <td>',$array['part_headers']['subject'],'</td>
                </tr>
                <tr>
                    <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;',$lbl_from,':</td>
                    <td>',$array['part_headers']['from'],'</td>
                </tr>
                <tr>
                    <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;',$lbl_date,':</td>
                    <td>',$array['part_headers']['date'],'</td>
                </tr>'; } echo '
            </table>'; } echo '
        </td>
    </tr>
</table>
<table width="95%" align="center">
    <tr>
        <td class="tables4" colspan="3">';
                            }
                            else { echo '
        <td class="tables4" colspan="3">'; }
                        if (isset($array['print_part'])) { echo '
                            ',$array['print_part'];
                        }
                    }
                }
                
if (!$raw) { echo '
        </td>
    </tr>
</table>
<table width="95%" align="center">
    <tr>
        <td colspan="3">
            <table width="100%" class="tables2" cellspacing="0" cellpadding="3" align="center">
                <tr class="tables1">
                    <td align="center" colspan="6"><b>',$lbl_msg_parts,'</b></td>
                </tr>
                <tr>
                    <td colspan="3"></td>
                    <td width="25%"><small><b>',$lbl_mime,'</b></small></td>
                    <td width="65%"><small><b>',$lbl_description,'</b></small></td>
                    <td width="10%"><small><b>',$lbl_size,'</b></small></td>
                </tr>';
                foreach ($attachment_data as $part => $array) { echo '
                <tr class="tables3">
                    <td class="tables3" nowrap>';
                    if ($array['checked']) { echo '-&gt;'; } else { echo '&nbsp;'; } echo '
                    </td>
                    <td class="tables3" align="center" nowrap>';
                    if ($array['viewable']) { echo '
                    <input type="hidden" name="hmp_',str_replace('_', '.', $part),'" value="1">';}
                    if (!$array['rfc822']) { echo '<input type="checkbox" ';
                        if ($array['checked']) { echo 'CHECKED '; }
                        echo ' name="mp_',str_replace('_', '.', $part),'">';
                    } else { echo '&nbsp;'; } echo '
                    </td>
                    <td class="tables3" nowrap>
                    <small>&nbsp;';
                    if ($array['viewable']) { echo ' ',$array['atag'],'part=',$part,'">',$array['lbl_view'],'</a>'; }
                    if ($array['double_link']) { echo ' / '; }
                    if ($array['download']) { echo str_replace('message.php', 'download.php', $array['atag']),
                        'part=',$part,'&amp;subtype=octet-stream&amp;type=application&amp;name=',$array['name'];
                        if ($array['encoding']) { echo '&amp;decode=',$array['encoding']; }
                        echo '">',$array['lbl_download'],'</a>&nbsp;&nbsp;';
                    } echo '
                    </small>
                    </td>
                    <td class="tables3" nowrap>
                    <small>';
                    if ($array['indent_level'] > 0) { echo str_repeat('&nbsp;', $array['indent_level']),'|_&nbsp;'; } echo '
                    ',$array['type'],' - ',$array['subtype'],'</small>
                    </td>
                    <td class="tables3" nowrap>
                    <small>&nbsp;',$array['description'],'</small>';
                    if ($array['from']) {
                        echo '<br><small><a href="compose.php?id=',$sid,'&amp;to=',
                             urlencode($array['raw_from']),'">',$array['from'],'</a></small>';
                    } echo '
                    </td>
                    <td class="tables3" nowrap>
                    <small>',$array['size'],'</small>
                    </td>
                </tr>';
                } 
                echo '
                <tr class="tables2">
                    <td colspan="4">
                        &nbsp;&nbsp;<input type="submit" name="view" value="',$lbl_view_selected,'" class="button3" />
                        &nbsp;&nbsp;<input type="submit" name="view_all" value="',$lbl_view_all,'" class="button3" />
                        &nbsp;&nbsp;<input type="submit" ','name="forward_sel" value="',$lbl_forward_selected,'" class="button3" />';
                        if ($cfg_enable_redirect) { echo '
                    </td>
                    <td colspan="2" align="right">
                        <input type="hidden" name="redirect_from" value="',$redirect_from,'" />
                        <input type="submit" name="redirect" value="',$lbl_redirect,'" class="button3" />
                        &nbsp;&nbsp;<input type="text" name="redirect_to" value="',$default_redirect,'" class="text2" />';
                        } echo '
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
<br />
<table width="95%" align="center" cellpadding="4" cellspacing="4">';
} echo '
    <tr>
        <td class="tables2" align="left" width="10%" nowrap>
        &nbsp;&nbsp;',$message_dsp_header,'&nbsp;';
        if ($prev_next_thread) { echo '
        </td>
        <td class="tables2" align="center" nowrap>&nbsp;',$prev_next_thread,'&nbsp;</td>';
        } if ($prev_next_search) { echo '
        </td>
        <td class="tables2" align="center" nowrap>&nbsp;',$prev_next_search,'&nbsp;</td>';
        }

if ($add_addbook_option) { echo '
        <td nowrap class="tables2" align="right">
            &nbsp;<input type="submit" value="',$lbl_add,'" name="prep" class="button3" />
            <select class="select3" name="prep_addy">
                ',$address_options,'
            </select>';
} echo '
            &nbsp;&nbsp;<a class="font2" href="#top">',$lbl_top,'</a>&nbsp;&nbsp;';
if ($folder_preview_bottom) { echo '
        </td>
    </tr>
</table>
<table width="96%" align="center" cellpadding="4" cellspacing="4" class="tables5">
    <tr>
        <td colspan="3">';
        require_once('folder_preview_template.php');
} echo '
        </td>
    </tr>
</table>
</form>
</body>
</html>';
